Devuan bug report logs - #461
autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup

version graph

Package: autopkgtest; Maintainer for autopkgtest is (unknown);

Reported by: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Date: Sat, 16 May 2020 08:18:14 UTC

Severity: grave

Tags: beowulf, ceres, debian

Found in versions 5.10, 5.13.1

Done: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>

Forwarded to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960800

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 08:18:14 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 May 2020 08:18:16 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 17:07:43 +0900 (JST)
Package: autopkgtest
Version: 5.13.1
Severity: grave
Tags: beowulf ceres
Justification: renders package unusable
Control: found -1 5.10

Dear Maintainer,

After building a testbed by
autopkgtest-build-qemu ceres /var/tmp/ceres-amd64.img http://deb.devuan.org/merged
and adjust /etc/inittab in the testbed so that it accepts login
from /dev/ttyS[01],

autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1  -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img 
autopkgtest [15:57:43]: starting date: 2020-05-16
autopkgtest [15:57:43]: version 5.13.1
autopkgtest [15:57:43]: host devuan; command line: /usr/bin/autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1 -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img
qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx [bit 5]
qemu-system-x86_64: terminating on signal 15 from pid 12727 (/usr/bin/python3)
<VirtSubproc>: failure: timed out on client shared directory setup
autopkgtest [15:58:20]: ERROR: testbed failure: cannot send to testbed: [Errno 32] Broken pipe

This issue is found in package versions 5.13.1 and 5.10.
This issue is observed both Beowulf and Ceres qemu images.

Best regards, Ryutaroh Matsumoto



-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8), LANGUAGE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages autopkgtest depends on:
ii  apt-utils       1.8.2.1
ii  libdpkg-perl    1.19.7
ii  procps          2:3.3.15-2+devuan1
ii  python3         3.7.3-1
ii  python3-debian  0.1.35

Versions of packages autopkgtest recommends:
ii  autodep8  0.18

Versions of packages autopkgtest suggests:
pn  lxc               <none>
pn  lxd               <none>
ii  ovmf              0~20181115.85588389-3+deb10u1
pn  qemu-efi-aarch64  <none>
pn  qemu-efi-arm      <none>
pn  qemu-system       <none>
ii  qemu-utils        1:3.1+dfsg-8+deb10u5
pn  schroot           <none>
ii  vmdb2             0.13.2+git20190215-1

-- no debconf information

Marked as found in versions 5.10. Request was from Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp> to submit@bugs.devuan.org. (Sat, 16 May 2020 08:18:18 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 09:48:16 GMT) (full text, mbox, link).


Message #10 received at 461@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>, 461@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 10:39:42 +0100
Control: tags -1 debian

Ryutaroh,

Thanks for this.

On Sat, May 16, 2020 at 05:07:43PM +0900, Ryutaroh Matsumoto wrote:
> Package: autopkgtest
> Version: 5.13.1
> Severity: grave
> Tags: beowulf ceres
> Justification: renders package unusable
> Control: found -1 5.10
> 
> Dear Maintainer,
> 
> After building a testbed by
> autopkgtest-build-qemu ceres /var/tmp/ceres-amd64.img http://deb.devuan.org/merged
> and adjust /etc/inittab in the testbed so that it accepts login
> from /dev/ttyS[01],
> 
> autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1  -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img 
> autopkgtest [15:57:43]: starting date: 2020-05-16
> autopkgtest [15:57:43]: version 5.13.1
> autopkgtest [15:57:43]: host devuan; command line: /usr/bin/autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1 -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img
> qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx [bit 5]
> qemu-system-x86_64: terminating on signal 15 from pid 12727 (/usr/bin/python3)
> <VirtSubproc>: failure: timed out on client shared directory setup
> autopkgtest [15:58:20]: ERROR: testbed failure: cannot send to testbed: [Errno 32] Broken pipe

These are all unforked packages that Devuan uses directly from
Debian.

Please could you report this to Debian BTS?

Thanks

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 461-submit@bugs.devuan.org. (Sat, 16 May 2020 09:48:18 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 10:18:06 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 May 2020 10:18:11 GMT) (full text, mbox, link).


Message #17 received at 461@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: mark@hindley.org.uk
Cc: 461@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 19:02:54 +0900 (JST)
> These are all unforked packages that Devuan uses directly from
> Debian.
> Please could you report this to Debian BTS?

autopkgtest runs very smoothly on my Ubuntu 20.04 creating
Debian sid qemu image as below.
I do not think I can reproduce this issue #461 on Debian.
What sequence of commands can reproduce #461 on Debian?
I strongly doubt existence of such a sequence of commands on Debian...
If there is no such sequence of command to reproduce #461,
then what should be reported to Debian BTS?? I have no idea.

Best regards, Ryutaroh

root@ryutaroh-CFSZ6-1L:~# autopkgtest-build-qemu sid /var/tmp/sid-amd64.img
Load spec file /tmp/tmp.CF2ZDdpRc8
Exec: ['qemu-img', 'create', '-f', 'raw', '/var/tmp/sid-amd64.img.raw', '25G']
Exec: ['parted', '-s', '/var/tmp/sid-amd64.img.raw', 'mklabel', 'msdos']
Exec: ['parted', '-m', '/var/tmp/sid-amd64.img.raw', 'print']
Exec: ['parted', '-s', '/var/tmp/sid-amd64.img.raw', 'mkpart', 'primary', 'ext2', '0%', '100%']
Exec: ['kpartx', '-asv', '/var/tmp/sid-amd64.img.raw']
remembering /dev/mapper/loop0p1 as root
Exec: ['/sbin/mkfs', '-t', 'ext4', '/dev/mapper/loop0p1']
Exec: ['mount', '/dev/mapper/loop0p1', '/tmp/tmpk19ak3rp']
Exec: ['debootstrap', '--variant', '-', 'sid', '/tmp/tmpk19ak3rp', 'http://deb.debian.org/debian']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'apt-get', 'update']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'apt-get', 'update']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'apt-get', '-y', '--no-show-progress', 'install', 'eatmydata']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'eatmydata', 'apt-get', 'update']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'eatmydata', 'apt-get', '-y', '--no-show-progress', 'install', 'linux-image-amd64', 'ifupdown']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'apt-get', 'clean']
Installing GRUB for BIOS
Exec: ['mount', '--bind', '/dev', '/tmp/tmpk19ak3rp/dev']
Exec: ['mount', '--bind', '/proc', '/tmp/tmpk19ak3rp/proc']
Exec: ['mount', '--bind', '/sys', '/tmp/tmpk19ak3rp/sys']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'apt-get', '-y', '--no-show-progress', 'install', 'grub-pc']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'grub-mkconfig', '-o', '/boot/grub/grub.cfg']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'grub-install', '--target=i386-pc', '--no-nvram', '--force-extra-removable', '--no-floppy', '--modules=part_msdos part_gpt', '--grub-mkdevicemap=/boot/grub/device.map', '/dev/loop0']
Exec: ['chroot', '/tmp/tmpk19ak3rp', 'sh', '-c', 'passwd --delete root\nuseradd --home-dir /home/user --create-home user\npasswd --delete user\necho host > /etc/hostname']
Exec: ['sh', '-c', 'rootdev=$(ls -1 /dev/mapper/loop* | sort | tail -1)\nuuid=$(blkid -c /dev/null -o value -s UUID $rootdev)\necho "UUID=$uuid / ext4 errors=remount-ro 0 1" > $ROOT/etc/fstab']
Exec: ['sh', '-c', '/usr/share/autopkgtest/setup-commands/setup-testbed $ROOT']
Exec: ['sh', '-c', '/bin/true $ROOT']
All went fine, cleaning up.
Exec: ['umount', '/tmp/tmpk19ak3rp/dev']
Exec: ['umount', '/tmp/tmpk19ak3rp/proc']
Exec: ['umount', '/tmp/tmpk19ak3rp/sys']
Exec: ['umount', '/tmp/tmpk19ak3rp']
Exec: ['kpartx', '-dsv', '/var/tmp/sid-amd64.img.raw']

root@ryutaroh-CFSZ6-1L:~# autopkgtest -B -o /var/tmp/thunderbird1 thunderbird -- qemu --ram-size=4096 /var/tmp/sid-amd64.img 
autopkgtest [18:47:07]: version 5.11ubuntu1
autopkgtest [18:47:07]: host ryutaroh-CFSZ6-1L; command line: /usr/bin/autopkgtest -B -o /var/tmp/thunderbird1 thunderbird -- qemu --ram-size=4096 /var/tmp/sid-amd64.img
autopkgtest [18:47:24]: testbed dpkg architecture: amd64
autopkgtest [18:47:26]: testbed running kernel: Linux 5.6.0-1-amd64 #1 SMP Debian 5.6.7-1 (2020-04-29)
autopkgtest [18:47:27]: @@@@@@@@@@@@@@@@@@@@ apt-source thunderbird
Get:1 http://deb.debian.org/debian sid/main thunderbird 1:68.8.0-1 (dsc) [8274 B]
Get:2 http://deb.debian.org/debian sid/main thunderbird 1:68.8.0-1 (tar) [1045 kB]
Get:3 http://deb.debian.org/debian sid/main thunderbird 1:68.8.0-1 (tar) [9838 kB]
Get:4 http://deb.debian.org/debian sid/main thunderbird 1:68.8.0-1 (tar) [357 MB]
Get:5 http://deb.debian.org/debian sid/main thunderbird 1:68.8.0-1 (diff) [547 kB]
gpgv: unknown type of key resource 'trustedkeys.kbx'
gpgv: keyblock resource '/home/user/.gnupg/trustedkeys.kbx': General error
gpgv: Signature made Wed May  6 09:29:17 2020 UTC
gpgv:                using RSA key B70DFC6F134FECFC011E62AA83016014251D1DB0
gpgv: Can't check signature: No public key
dpkg-source: warning: failed to verify signature on ./thunderbird_68.8.0-1.dsc
autopkgtest [18:52:38]: testing package thunderbird version 1:68.8.0-1
autopkgtest [18:52:38]: build not needed
autopkgtest [18:53:28]: test help.sh: preparing testbed
Reading package lists...
Building dependency tree...
Reading state information...
Correcting dependencies...Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
 Done
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done

(output continues...)
autopkgtest [18:54:49]: test help.sh: [-----------------------
Test1: checking help output...done.
Test2: checking version output...done.
autopkgtest [18:54:50]: test help.sh: -----------------------]
autopkgtest [18:54:51]: test help.sh:  - - - - - - - - - - results - - - - - - - - - -
help.sh              PASS
autopkgtest [18:54:51]: @@@@@@@@@@@@@@@@@@@@ summary
help.sh              PASS
qemu-system-x86_64: terminating on signal 15 from pid 35333 (/usr/bin/python3)




From: Mark Hindley <mark@hindley.org.uk>
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 10:39:42 +0100

> Control: tags -1 debian
> 
> Ryutaroh,
> 
> Thanks for this.
> 
> On Sat, May 16, 2020 at 05:07:43PM +0900, Ryutaroh Matsumoto wrote:
>> Package: autopkgtest
>> Version: 5.13.1
>> Severity: grave
>> Tags: beowulf ceres
>> Justification: renders package unusable
>> Control: found -1 5.10
>> 
>> Dear Maintainer,
>> 
>> After building a testbed by
>> autopkgtest-build-qemu ceres /var/tmp/ceres-amd64.img http://deb.devuan.org/merged
>> and adjust /etc/inittab in the testbed so that it accepts login
>> from /dev/ttyS[01],
>> 
>> autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1  -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img 
>> autopkgtest [15:57:43]: starting date: 2020-05-16
>> autopkgtest [15:57:43]: version 5.13.1
>> autopkgtest [15:57:43]: host devuan; command line: /usr/bin/autopkgtest -U -B thunderbird -o /var/tmp/autopkgtest-thunderbird1 -- qemu --ram-size=2048 /var/tmp/ceres-amd64.img
>> qemu-system-x86_64: warning: host doesn't support requested feature: CPUID.01H:ECX.vmx [bit 5]
>> qemu-system-x86_64: terminating on signal 15 from pid 12727 (/usr/bin/python3)
>> <VirtSubproc>: failure: timed out on client shared directory setup
>> autopkgtest [15:58:20]: ERROR: testbed failure: cannot send to testbed: [Errno 32] Broken pipe
> 
> These are all unforked packages that Devuan uses directly from
> Debian.
> 
> Please could you report this to Debian BTS?
> 
> Thanks
> 
> Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 10:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 May 2020 10:33:05 GMT) (full text, mbox, link).


Message #22 received at 461@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
Cc: 461@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 11:27:34 +0100
On Sat, May 16, 2020 at 07:02:54PM +0900, Ryutaroh Matsumoto wrote:
> > These are all unforked packages that Devuan uses directly from
> > Debian.
> > Please could you report this to Debian BTS?
> 
> autopkgtest runs very smoothly on my Ubuntu 20.04 creating
> Debian sid qemu image as below.
> I do not think I can reproduce this issue #461 on Debian.
> What sequence of commands can reproduce #461 on Debian?
> I strongly doubt existence of such a sequence of commands on Debian...
> If there is no such sequence of command to reproduce #461,
> then what should be reported to Debian BTS?? I have no idea.

Could you have a look at https://bugs.debian.org/931658.

That appears to include a similar report on Debian using runit-init.

There is also a workaround relating to insufficient entropy in the VM.

Thanks

Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 12:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 May 2020 12:03:03 GMT) (full text, mbox, link).


Message #27 received at 461@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: mark@hindley.org.uk
Cc: 461@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sat, 16 May 2020 20:54:15 +0900 (JST)
> Could you have a look at https://bugs.debian.org/931658.
> That appears to include a similar report on Debian using runit-init.

Thanks. I will look at it.  Best regards, Ryutaroh

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#461; Package autopkgtest. (Sat, 16 May 2020 23:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sat, 16 May 2020 23:03:03 GMT) (full text, mbox, link).


Message #32 received at 461@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: mark@hindley.org.uk
Cc: 461@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Sun, 17 May 2020 07:57:47 +0900 (JST)
Control: forwarded -1 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960800

I reproduced this on Debian and reported it as above. Ryutaroh

Set bug forwarded-to-address to 'https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960800'. Request was from Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp> to 461-submit@bugs.devuan.org. (Sat, 16 May 2020 23:03:06 GMT) (full text, mbox, link).


Reply sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
You have taken responsibility. (Thu, 21 May 2020 08:33:01 GMT) (full text, mbox, link).


Notification sent to Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>:
bug acknowledged by developer. (Thu, 21 May 2020 08:33:04 GMT) (full text, mbox, link).


Message #39 received at 461-done@bugs.devuan.org (full text, mbox, reply):

From: Ryutaroh Matsumoto <ryutaroh@ict.e.titech.ac.jp>
To: 461-done@bugs.devuan.org
Subject: Re: bug#461: autopkgtest-virt-qemu always fails with <VirtSubproc>: failure: timed out on client shared directory setup
Date: Thu, 21 May 2020 17:27:54 +0900 (JST)
At the upstream report https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960800
I was told that "/bin/sh" should be used in place of /sbin/getty for ttyS1 in /etc/inittab
in the qemu image. This issue is resolved also on Devuan Chimaera by that trick.
I close #461 Ryutaroh

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun Nov 29 01:13:54 2020;